linux-mips
[Top] [All Lists]

Re: Tools miss-compile old kernel

To: Brady Brown <bbrown@ti.com>
Subject: Re: Tools miss-compile old kernel
From: Keith M Wesolowski <wesolows@foobazco.org>
Date: Thu, 22 Mar 2001 16:47:00 -0800
Cc: SGI news group <linux-mips@oss.sgi.com>
In-reply-to: <3ABA8F3D.E24DF122@ti.com>; from bbrown@ti.com on Thu, Mar 22, 2001 at 04:48:13PM -0700
References: <3ABA8F3D.E24DF122@ti.com>
Sender: owner-linux-mips@oss.sgi.com
User-agent: Mutt/1.2.5i
On Thu, Mar 22, 2001 at 04:48:13PM -0700, Brady Brown wrote:

> Is this supposed to work, or are the new tools incompatible with
> older kernels?

That particular assembler is incompatible with sanity, older kernels,
newer kernels, and anything you expect to actually function properly.

> Looks like here the tools blow the lui/lw combination and also the eret. Any
> suggestions?

Upgrade to CVS binutils.  The one Maciej has on his site is apparently
broken.  If you want a toolchain that is known to work at least in
some cases, you can pull it from
ftp://oss.sgi.com/pub/linux/mips/mips-linux/simple/crossdev/.  That is
the toolchain I use to build kernels -and- userland (yes, I know,
everyone says it can't be done, but...) and thus it Works For Me (TM).

-- 
Keith M Wesolowski <wesolows@foobazco.org> http://foobazco.org/~wesolows
------(( Project Foobazco Coordinator and Network Administrator ))------
"I should have crushed his marketing-addled skull with a fucking bat."

<Prev in Thread] Current Thread [Next in Thread>